Tag: yum

Problème sur yum update with kernel

–> Running transaction check —> Package e2fsprogs-resize2fs-static.x86_64 0:1.42.3-3.el6.1.ovz will be installed —> Package kernel.x86_64 0:2.6.32-358.2.1.el6 will be installed –> Processing Dependency: kernel-firmware >= 2.6.32-358.2.1.el6 for package: kernel-2.6.32-358.2.1.el6.x86_64 Package kernel-firmware-2.6.32-358.2.1.el6.noarch is obsoleted by vzkernel-firmware-2.6.32-042stab075.2.noarch which is already installed –> Finished Dependency Resolution Error: Package: kernel-2.6.32-358.2.1.el6.x86_64 (updates) Requires: kernel-firmware >= 2.6.32-358.2.1.el6 Removing: vzkernel-firmware-2.6.32-042stab075.2.noarch (@openvz-kernel-rhel6) kernel-firmware = 2.6.32-279.22.1.el6 […]

Comment mettre à jour / maintenir un kernel patché?

Si je patch mon kernel linux avec la security, puis-je pouvoir mettre à jour mon système avec yum (ou apt-get)? Les mises à jour disponibles via yum ne seront-elles pas incompatibles avec ma version "non standard" correcte du kernel? En outre, les patchs ne seront-ils pas écrasés chaque fois que je mettra à jour le […]

CentOS 6.4 PHP Cryrypt

J'essaie d'installer l'extension php-mcrypt pour mon server CentOs 6.4 mais il tombe avec ce message: [root@vps /]# yum install php-mcrypt Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirrors.vooservers.com * epel: mirror01.th.ifl.net * epel-debuginfo: mirror01.th.ifl.net * epel-source: mirror01.th.ifl.net * extras: mirrors.vooservers.com * updates: mirrors.vooservers.com Setting up Install Process Resolving Dependencies –> Running […]

Suppression du repository yum dans CentOS

Webtatic dispose de deux repositorys yum , un pour CentOS 5 et un pour 6. Tous deux travaillent sur CentOS 6, mais j'ai des problèmes pour passer de l'un à l'autre. (Si vous êtes intéressé par la raison pour laquelle je souhaite changer: un server de production utilise actuellement le premier, mais nécessite des packages […]

Linux – Est-il possible de partager le même file versionlock.list avec plusieurs servers?

J'essaie de puppetize une versionlock.list afin que les packages comme PHP et MySQL soient en mode version, quelle que soit la machine qui effectue l'installation. Cependant, je remarque un comportement incohérent. Sur server2 j'ai couru la marionnette et il a tiré la versionlock.list, qui ressemble à: # httpd 0:httpd-2.2.15-28.el6.centos.* # memcached 0:memcached-1.4.4-3.e16.* Mais quand j'ai […]

Mise à jour de php53 vers php53u (repository epel vers IUS) – Centos 6.4

Je souhaite mettre à niveau mon server CentOS 6.4 de php53 (repository epel) vers php53u (ius repository). J'ai déjà activé le référentiel ius, mais hésité à jouer simplement car il existe des sites Web de production sur le server. (Étant donné que les sites de production sont dans Drupal 7, je souhaite restr sur la […]

Dépendance du package manquant – CentOS – Amazon EC2

Après avoir exécuté la yum update –skip-broken j'obtiens ce qui suit: Packages skipped because of dependency problems: aws-cli-1.1.0-1.3.amzn1.noarch from amzn-main 1:perl-Compress-Raw-Zlib-2.020-129.el6.x86_64 from centos python-bcdoc-0.10.0-1.0.amzn1.noarch from amzn-main python-botocore-0.17.0-1.2.amzn1.noarch from amzn-main python-rsa-3.1.2-4.3.amzn1.noarch from amzn-main Que puis-je faire pour résoudre ces problèmes de dépendance? Toute aide est appréciée !! 🙂

Automatisation de l'logging du réseau Linux incassable (ULN)

Pour save une machine RHEL 6.4 sur le réseau Linux incassable (ULN), il est nécessaire de lancer la command uln_register . Cette command ouvre une interface textuelle, où l'user doit saisir les informations d'identification ULN et sélectionner les packages. Une fois le process d'inscription terminé, il est possible d'exécuter la yum update . Je voudrais […]

Aucun file ou directory après rpm -e –nodeps packagename au lieu de la command introuvable

J'ai installé ethtool aide d' ethtool yum install ethtool puis l' yum install ethtool retiré en utilisant rpm -e –nodeps ethtool car lorsque j'ai essayé de supprimer ethtool avec yum il allait supprimer un tas de dependencies importantes telles que php , httpd , etc Lorsque je lance une command qui ne devrait pas exister […]

openvz / centos 6 vps yum échoué avec erreur

Nouveau conteneur openvz installé avec centos 6.4 64bit Resolving Dependencies –> Running transaction check —> Package kernel.x86_64 0:2.6.32-431.el6 will be installed –> Processing Dependency: kernel-firmware >= 2.6.32-431.el6 for package: kernel-2.6.32-431.el6.x86_64 Package kernel-firmware-2.6.32-431.el6.noarch is obsoleted by vzkernel-firmware-2.6.32-042stab083.2.noarch which is already installed –> Finished Dependency Resolution Error: Package: kernel-2.6.32-431.el6.x86_64 (base) Requires: kernel-firmware >= 2.6.32-431.el6 Installed: vzkernel-firmware-2.6.32-042stab083.2.noarch (@openvz-kernel-rhel6) […]

Les astuces du serveur de linux et windows, tels que ubuntu, centos, apache, nginx, debian et des sujets de réseau.